package cn.ibizlab.core.lite.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.core.lite.domain.DstConfig;
import cn.ibizlab.core.lite.filter.DstConfigSearchContext;


import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[DstConfig] 服务对象接口
 */
public interface IDstConfigService extends IService<DstConfig>{

    boolean create(DstConfig et) ;
    void createBatch(List<DstConfig> list) ;
    boolean update(DstConfig et) ;
    void updateBatch(List<DstConfig> list) ;
    boolean remove(String key) ;
    void removeBatch(Collection<String> idList) ;
    DstConfig get(String key) ;
    DstConfig getDraft(DstConfig et) ;
    boolean checkKey(DstConfig et) ;
    boolean save(DstConfig et) ;
    void saveBatch(List<DstConfig> list) ;
    Page<DstConfig> searchDefault(DstConfigSearchContext context) ;
    List<DstConfig> selectBySystemId(String pssystemid) ;
    void removeBySystemId(String pssystemid) ;
    /**
     *自定义查询SQL
     * @param sql  select * from table where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return select * from table where id = '1'
     */
    List<JSONObject> select(String sql, Map param);
    /**
     *自定义SQL
     * @param sql  update table  set name ='test' where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return     update table  set name ='test' where id = '1'
     */
    boolean execute(String sql, Map param);

}


